function [zz,pp,gain] = lp2hpTZ(z,p,gain,w0)
% LowPass to HighPass TZ

zz = []; pp = [];
for  k=1:length(z) % transformation of zeros
     zz = [ zz w0/z(k) ];
     gain = gain*(-z(k));
end
for  k=1:length(p) % transformation of poles
     pp = [ pp w0/p(k) ];
     gain = gain/(-p(k));
end
for k=1:(length(p)-length(z))
     zz = [ zz 0 ];
end
